# -*- encoding: utf-8 -*-
# stub: filesafe 4.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "filesafe".freeze
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aaron D. Gifford".freeze]
  s.date = "2018-02-23"
  s.description = "A utility script for encrypting and decrypting files using a randomly generated 256-bit AES key and initialization vector secured using the PBKDF2 password/passphrase key derivation algorithm to secure the file key and IV.".freeze
  s.executables = ["filesafe".freeze]
  s.extra_rdoc_files = ["README.txt".freeze]
  s.files = ["README.txt".freeze, "bin/filesafe".freeze]
  s.homepage = "http://www.aarongifford.com/computers/filesafe/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Encrypt/decrypt files with a random 256-bit AES key secured by a passphrase derived master key using PBKDF2".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<highline>.freeze, ["~> 1.6.1", ">= 1.6.1"])
  else
    s.add_dependency(%q<highline>.freeze, ["~> 1.6.1", ">= 1.6.1"])
  end
end
